From eee527fd296b19c0073a718aae79f2dd3efb195e Mon Sep 17 00:00:00 2001
From: Shazad Hussain <quic_shazhuss@quicinc.com>
Date: Wed, 2 Nov 2022 21:59:36 +0530
Subject: [PATCH 43/65] rh-configs: enable required configs for pmic
 peripherals

configs related to pmic peripherals are enabled.
That includes, CONFIG_RTC_DRV_PM8XXX
CONFIG_INPUT_PM8941_PWRKEY CONFIG_NVMEM_SPMI_SDAM
CONFIG_POWER_RESET_QCOM_PON CONFIG_QCOM_SPMI_TEMP_ALARM
CONFIG_SPMI_PMIC_CLKDIV

Signed-off-by: Shazad Hussain <quic_shazhuss@quicinc.com>
Change-Id: I71cf4212507ae7d503c9d85ac6dd36114f8e0dd7
---
 redhat/configs/custom-overrides/generic/CONFIG_RTC_DRV_PM8XXX    | 1 +
 .../generic/arm/aarch64/CONFIG_INPUT_PM8941_PWRKEY               | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_NVMEM_SPMI_SDAM  | 1 +
 .../generic/arm/aarch64/CONFIG_POWER_RESET_QCOM_PON              | 1 +
 .../generic/arm/aarch64/CONFIG_QCOM_SPMI_TEMP_ALARM              | 1 +
 .../custom-overrides/generic/arm/aarch64/CONFIG_SPMI_PMIC_CLKDIV | 1 +
 6 files changed, 6 insertions(+)
 create mode 100644 redhat/configs/custom-overrides/generic/CONFIG_RTC_DRV_PM8XXX
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_INPUT_PM8941_PWRKEY
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_NVMEM_SPMI_SDAM
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_POWER_RESET_QCOM_PON
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_QCOM_SPMI_TEMP_ALARM
 create mode 100644 redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_SPMI_PMIC_CLKDIV

diff --git a/redhat/configs/custom-overrides/generic/CONFIG_RTC_DRV_PM8XXX b/redhat/configs/custom-overrides/generic/CONFIG_RTC_DRV_PM8XXX
new file mode 100644
index 000000000000..ddfc8a680487
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/CONFIG_RTC_DRV_PM8XXX
@@ -0,0 +1 @@
+CONFIG_RTC_DRV_PM8XXX=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_INPUT_PM8941_PWRKEY b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_INPUT_PM8941_PWRKEY
new file mode 100644
index 000000000000..35d470187277
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_INPUT_PM8941_PWRKEY
@@ -0,0 +1 @@
+CONFIG_INPUT_PM8941_PWRKEY=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_NVMEM_SPMI_SDAM b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_NVMEM_SPMI_SDAM
new file mode 100644
index 000000000000..8b9a3447f866
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_NVMEM_SPMI_SDAM
@@ -0,0 +1 @@
+CONFIG_NVMEM_SPMI_SDAM=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_POWER_RESET_QCOM_PON b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_POWER_RESET_QCOM_PON
new file mode 100644
index 000000000000..241408fb7051
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_POWER_RESET_QCOM_PON
@@ -0,0 +1 @@
+CONFIG_POWER_RESET_QCOM_PON=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_QCOM_SPMI_TEMP_ALARM b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_QCOM_SPMI_TEMP_ALARM
new file mode 100644
index 000000000000..c1eec1ad933b
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_QCOM_SPMI_TEMP_ALARM
@@ -0,0 +1 @@
+CONFIG_QCOM_SPMI_TEMP_ALARM=y
diff --git a/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_SPMI_PMIC_CLKDIV b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_SPMI_PMIC_CLKDIV
new file mode 100644
index 000000000000..50c3d8fb44b1
--- /dev/null
+++ b/redhat/configs/custom-overrides/generic/arm/aarch64/CONFIG_SPMI_PMIC_CLKDIV
@@ -0,0 +1 @@
+CONFIG_SPMI_PMIC_CLKDIV=y
-- 
2.31.1

